v2.0.0
Public Member Functions | Data Fields
sio_hw_t Struct Reference
Collaboration diagram for sio_hw_t:
[legend]

## Public Member Functions
| _REG_ (SIO_CPUID_OFFSET) io_ro_32 cpuid
| _REG_ (SIO_GPIO_IN_OFFSET) io_ro_32 gpio_in
| _REG_ (SIO_GPIO_HI_IN_OFFSET) io_ro_32 gpio_hi_in
| _REG_ (SIO_GPIO_OUT_OFFSET) io_rw_32 gpio_out
| _REG_ (SIO_GPIO_OUT_SET_OFFSET) io_wo_32 gpio_set
| _REG_ (SIO_GPIO_OUT_CLR_OFFSET) io_wo_32 gpio_clr
| _REG_ (SIO_GPIO_OUT_XOR_OFFSET) io_wo_32 gpio_togl
| _REG_ (SIO_GPIO_OE_OFFSET) io_rw_32 gpio_oe
| _REG_ (SIO_GPIO_OE_SET_OFFSET) io_wo_32 gpio_oe_set
| _REG_ (SIO_GPIO_OE_CLR_OFFSET) io_wo_32 gpio_oe_clr
| _REG_ (SIO_GPIO_OE_XOR_OFFSET) io_wo_32 gpio_oe_togl
| _REG_ (SIO_GPIO_HI_OUT_OFFSET) io_rw_32 gpio_hi_out
| _REG_ (SIO_GPIO_HI_OUT_SET_OFFSET) io_wo_32 gpio_hi_set
| _REG_ (SIO_GPIO_HI_OUT_CLR_OFFSET) io_wo_32 gpio_hi_clr
| _REG_ (SIO_GPIO_HI_OUT_XOR_OFFSET) io_wo_32 gpio_hi_togl
| _REG_ (SIO_GPIO_HI_OE_OFFSET) io_rw_32 gpio_hi_oe
| _REG_ (SIO_GPIO_HI_OE_SET_OFFSET) io_wo_32 gpio_hi_oe_set
| _REG_ (SIO_GPIO_HI_OE_CLR_OFFSET) io_wo_32 gpio_hi_oe_clr
| _REG_ (SIO_GPIO_HI_OE_XOR_OFFSET) io_wo_32 gpio_hi_oe_togl
| _REG_ (SIO_FIFO_ST_OFFSET) io_rw_32 fifo_st
| _REG_ (SIO_FIFO_WR_OFFSET) io_wo_32 fifo_wr
| _REG_ (SIO_FIFO_RD_OFFSET) io_ro_32 fifo_rd
| _REG_ (SIO_SPINLOCK_ST_OFFSET) io_ro_32 spinlock_st
| _REG_ (SIO_DIV_UDIVIDEND_OFFSET) io_rw_32 div_udividend
| _REG_ (SIO_DIV_UDIVISOR_OFFSET) io_rw_32 div_udivisor
| _REG_ (SIO_DIV_SDIVIDEND_OFFSET) io_rw_32 div_sdividend
| _REG_ (SIO_DIV_SDIVISOR_OFFSET) io_rw_32 div_sdivisor
| _REG_ (SIO_DIV_QUOTIENT_OFFSET) io_rw_32 div_quotient
| _REG_ (SIO_DIV_REMAINDER_OFFSET) io_rw_32 div_remainder
| _REG_ (SIO_DIV_CSR_OFFSET) io_ro_32 div_csr
| _REG_ (SIO_SPINLOCK0_OFFSET) io_rw_32 spinlock[32]
| _REG_ (SIO_CPUID_OFFSET) io_ro_32 cpuid
| _REG_ (SIO_GPIO_IN_OFFSET) io_ro_32 gpio_in
| _REG_ (SIO_GPIO_HI_IN_OFFSET) io_ro_32 gpio_hi_in
| _REG_ (SIO_GPIO_OUT_OFFSET) io_rw_32 gpio_out
| _REG_ (SIO_GPIO_HI_OUT_OFFSET) io_rw_32 gpio_hi_out
| _REG_ (SIO_GPIO_OUT_SET_OFFSET) io_wo_32 gpio_set
| _REG_ (SIO_GPIO_HI_OUT_SET_OFFSET) io_wo_32 gpio_hi_set
| _REG_ (SIO_GPIO_OUT_CLR_OFFSET) io_wo_32 gpio_clr
| _REG_ (SIO_GPIO_HI_OUT_CLR_OFFSET) io_wo_32 gpio_hi_clr
| _REG_ (SIO_GPIO_OUT_XOR_OFFSET) io_wo_32 gpio_togl
| _REG_ (SIO_GPIO_HI_OUT_XOR_OFFSET) io_wo_32 gpio_hi_togl
| _REG_ (SIO_GPIO_OE_OFFSET) io_rw_32 gpio_oe
| _REG_ (SIO_GPIO_HI_OE_OFFSET) io_rw_32 gpio_hi_oe
| _REG_ (SIO_GPIO_OE_SET_OFFSET) io_wo_32 gpio_oe_set
| _REG_ (SIO_GPIO_HI_OE_SET_OFFSET) io_wo_32 gpio_hi_oe_set
| _REG_ (SIO_GPIO_OE_CLR_OFFSET) io_wo_32 gpio_oe_clr
| _REG_ (SIO_GPIO_HI_OE_CLR_OFFSET) io_wo_32 gpio_hi_oe_clr
| _REG_ (SIO_GPIO_OE_XOR_OFFSET) io_wo_32 gpio_oe_togl
| _REG_ (SIO_GPIO_HI_OE_XOR_OFFSET) io_wo_32 gpio_hi_oe_togl
| _REG_ (SIO_FIFO_ST_OFFSET) io_rw_32 fifo_st
| _REG_ (SIO_FIFO_WR_OFFSET) io_wo_32 fifo_wr
| _REG_ (SIO_FIFO_RD_OFFSET) io_ro_32 fifo_rd
| _REG_ (SIO_SPINLOCK_ST_OFFSET) io_ro_32 spinlock_st
| _REG_ (SIO_SPINLOCK0_OFFSET) io_rw_32 spinlock[32]
| _REG_ (SIO_DOORBELL_OUT_SET_OFFSET) io_rw_32 doorbell_out_set
| _REG_ (SIO_DOORBELL_OUT_CLR_OFFSET) io_rw_32 doorbell_out_clr
| _REG_ (SIO_DOORBELL_IN_SET_OFFSET) io_rw_32 doorbell_in_set
| _REG_ (SIO_DOORBELL_IN_CLR_OFFSET) io_rw_32 doorbell_in_clr
| _REG_ (SIO_PERI_NONSEC_OFFSET) io_rw_32 peri_nonsec
| _REG_ (SIO_RISCV_SOFTIRQ_OFFSET) io_rw_32 riscv_softirq
| _REG_ (SIO_MTIME_CTRL_OFFSET) io_rw_32 mtime_ctrl
| _REG_ (SIO_MTIME_OFFSET) io_rw_32 mtime
| _REG_ (SIO_MTIMEH_OFFSET) io_rw_32 mtimeh
| _REG_ (SIO_MTIMECMP_OFFSET) io_rw_32 mtimecmp
| _REG_ (SIO_MTIMECMPH_OFFSET) io_rw_32 mtimecmph
| _REG_ (SIO_TMDS_CTRL_OFFSET) io_rw_32 tmds_ctrl
| _REG_ (SIO_TMDS_WDATA_OFFSET) io_wo_32 tmds_wdata
| _REG_ (SIO_TMDS_PEEK_SINGLE_OFFSET) io_ro_32 tmds_peek_single
| _REG_ (SIO_TMDS_POP_SINGLE_OFFSET) io_ro_32 tmds_pop_single
| _REG_ (SIO_TMDS_PEEK_DOUBLE_L0_OFFSET) io_ro_32 tmds_peek_double_l0
| _REG_ (SIO_TMDS_POP_DOUBLE_L0_OFFSET) io_ro_32 tmds_pop_double_l0
| _REG_ (SIO_TMDS_PEEK_DOUBLE_L1_OFFSET) io_ro_32 tmds_peek_double_l1
| _REG_ (SIO_TMDS_POP_DOUBLE_L1_OFFSET) io_ro_32 tmds_pop_double_l1
| _REG_ (SIO_TMDS_PEEK_DOUBLE_L2_OFFSET) io_ro_32 tmds_peek_double_l2
| _REG_ (SIO_TMDS_POP_DOUBLE_L2_OFFSET) io_ro_32 tmds_pop_double_l2

## Data Fields
uint32_t | _pad0
uint32_t | _pad1
interp_hw_t | interp [2]
uint32_t | _pad2 [3]
uint32_t | _pad3 [2]

The documentation for this struct was generated from the following files:

- include/hardware/structs/sio.h
- include/hardware/structs/sio.h